### Method

# Gio IOStream splice_async

since: 2.28

#### Declaration [src]

    void
    g_io_stream_splice_async (
      GIOStream* stream1,
      GIOStream* stream2,
      GIOStreamSpliceFlags flags,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously splice the output stream of `stream1` to the input stream of `stream2`, and splice the output stream of `stream2` to the input stream of `stream1`.

When the operation is finished `callback` will be called. You can then call `g_io_stream_splice_finish()` to get the result of the operation.

Available since: 2.28

#### Parameters

`stream2`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the method.

`flags`

  Type: `GIOStreamSpliceFlags`

  A set of `GIOStreamSpliceFlags`.

`io_priority`

  Type: `int`

  The io priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.